
From: Gerd Knorr <kraxel@bytesex.org>

The patch below simplifies the videotext drivers saa5246a and saa5249 by using
the I2C_CLIENT_INSMOD macro.

Thanks to Kai Volkmar.

Signed-off-by: Michael Geng <linux@michaelgeng.de>
Signed-off-by: Gerd Knorr <kraxel@bytesex.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/video/saa5246a.c |   13 +------------
 25-akpm/drivers/media/video/saa5249.c  |   13 +------------
 2 files changed, 2 insertions(+), 24 deletions(-)

diff -puN drivers/media/video/saa5246a.c~videotext-use-i2c_client_insmod-macro drivers/media/video/saa5246a.c
--- 25/drivers/media/video/saa5246a.c~videotext-use-i2c_client_insmod-macro	2005-03-11 12:32:21.000000000 -0800
+++ 25-akpm/drivers/media/video/saa5246a.c	2005-03-11 12:32:21.000000000 -0800
@@ -65,18 +65,7 @@ static struct video_device saa_template;
 /* Addresses to scan */
 static unsigned short normal_i2c[]	 = { I2C_ADDRESS, I2C_CLIENT_END };
 static unsigned short normal_i2c_range[] = { I2C_CLIENT_END };
-static unsigned short probe[2]		 = { I2C_CLIENT_END, I2C_CLIENT_END };
-static unsigned short probe_range[2]	 = { I2C_CLIENT_END, I2C_CLIENT_END };
-static unsigned short ignore[2]		 = { I2C_CLIENT_END, I2C_CLIENT_END };
-static unsigned short ignore_range[2]	 = { I2C_CLIENT_END, I2C_CLIENT_END };
-static unsigned short force[2]		 = { I2C_CLIENT_END, I2C_CLIENT_END };
-
-static struct i2c_client_address_data addr_data = {
-	normal_i2c, normal_i2c_range,
-	probe, probe_range,
-	ignore, ignore_range,
-	force
-};
+I2C_CLIENT_INSMOD;
 
 static struct i2c_client client_template;
 
diff -puN drivers/media/video/saa5249.c~videotext-use-i2c_client_insmod-macro drivers/media/video/saa5249.c
--- 25/drivers/media/video/saa5249.c~videotext-use-i2c_client_insmod-macro	2005-03-11 12:32:21.000000000 -0800
+++ 25-akpm/drivers/media/video/saa5249.c	2005-03-11 12:32:21.000000000 -0800
@@ -133,18 +133,7 @@ static struct video_device saa_template;
 /* Addresses to scan */
 static unsigned short normal_i2c[] = {34>>1,I2C_CLIENT_END};
 static unsigned short normal_i2c_range[] = {I2C_CLIENT_END};
-static unsigned short probe[2]        = { I2C_CLIENT_END, I2C_CLIENT_END };
-static unsigned short probe_range[2]  = { I2C_CLIENT_END, I2C_CLIENT_END };
-static unsigned short ignore[2]       = { I2C_CLIENT_END, I2C_CLIENT_END };
-static unsigned short ignore_range[2] = { I2C_CLIENT_END, I2C_CLIENT_END };
-static unsigned short force[2]        = { I2C_CLIENT_END, I2C_CLIENT_END };
-
-static struct i2c_client_address_data addr_data = {
-	normal_i2c, normal_i2c_range, 
-	probe, probe_range, 
-	ignore, ignore_range, 
-	force
-};
+I2C_CLIENT_INSMOD;
 
 static struct i2c_client client_template;
 
_
